/*
SQLyog Ultimate v12.09 (64 bit)
MySQL - 10.4.17-MariaDB : Database - prosoftfeb22g2
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`prosoftfeb22g2` /*!40100 DEFAULT CHARACTER SET utf8mb4 */;

USE `prosoftfeb22g2`;

/*Table structure for table `dnevnapotrosnjaizvestaj` */

DROP TABLE IF EXISTS `dnevnapotrosnjaizvestaj`;

CREATE TABLE `dnevnapotrosnjaizvestaj` (
  `DnevnaPotrosnjaIzvestajID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `Datum` date NOT NULL,
  `Opis` varchar(255) NOT NULL,
  `KlijentID` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`DnevnaPotrosnjaIzvestajID`),
  KEY `KlijentID` (`KlijentID`),
  CONSTRAINT `dnevnapotrosnjaizvestaj_ibfk_1` FOREIGN KEY (`KlijentID`) REFERENCES `klijent` (`KlijentID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

/*Data for the table `dnevnapotrosnjaizvestaj` */

/*Table structure for table `dnevnapotrosnjastavkaizvestaja` */

DROP TABLE IF EXISTS `dnevnapotrosnjastavkaizvestaja`;

CREATE TABLE `dnevnapotrosnjastavkaizvestaja` (
  `DnevnaPotrosnjaIzvestajID` bigint(20) unsigned NOT NULL,
  `RB` int(10) unsigned NOT NULL,
  `VrstaKapaciteta` varchar(50) NOT NULL,
  `Kolicina` decimal(10,2) NOT NULL,
  `JedinicaMere` varchar(50) NOT NULL,
  `Napomena` varchar(255) NOT NULL,
  PRIMARY KEY (`DnevnaPotrosnjaIzvestajID`,`RB`),
  CONSTRAINT `dnevnapotrosnjastavkaizvestaja_ibfk_1` FOREIGN KEY (`DnevnaPotrosnjaIzvestajID`) REFERENCES `dnevnapotrosnjaizvestaj` (`DnevnaPotrosnjaIzvestajID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

/*Data for the table `dnevnapotrosnjastavkaizvestaja` */

/*Table structure for table `klijent` */

DROP TABLE IF EXISTS `klijent`;

CREATE TABLE `klijent` (
  `KlijentID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `Naziv` varchar(255) NOT NULL,
  `Adresa` varchar(255) NOT NULL,
  `Email` varchar(50) NOT NULL,
  `Lozinka` varchar(50) NOT NULL,
  PRIMARY KEY (`KlijentID`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4;

/*Data for the table `klijent` */

insert  into `klijent`(`KlijentID`,`Naziv`,`Adresa`,`Email`,`Lozinka`) values (1,'Elektroprivreda Srbije','Balkanska 13','eps@eps.rs','eps1'),(2,'Klijent 1','Adresa 1','k1@k1.rs','k1'),(3,'Klijent 2','Adresa 2','k2@k2.rs','k2'),(4,'Klijent 3','Adresa 3','k3@k3.rs','k3'),(5,'Klijent 4','Adresa 4','k4@k4.rs','k4'),(6,'Klijent 5','Adresa 5','k5@k5.rs','k5');

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
